package com.jpsoft.printing.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.printing.modules.base.entity.Customer;
import java.util.Map;
import com.jpsoft.printing.modules.common.dto.Sort;

@Repository
public interface CustomerDAO {
	int insert(Customer entity);
	int update(Customer entity);
	int exist(String id);
	Customer get(String id);
	int delete(String id);
	List<Customer> list();
	List<Customer> search(Map<String,Object> searchParams,List<Sort> sortList);
}