package com.jpsoft.printing.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.printing.modules.base.entity.Flaw;
import java.util.Map;
import com.jpsoft.printing.modules.common.dto.Sort;

@Repository
public interface FlawDAO {
	int insert(Flaw entity);
	int update(Flaw entity);
	int exist(String id);
	Flaw get(String id);
	int delete(String id);
	List<Flaw> list();
	List<Flaw> search(Map<String,Object> searchParams,List<Sort> sortList);
}