package com.jpsoft.printing.modules.base.dao;

import java.util.List;

import com.jpsoft.printing.modules.base.dto.NameValueDTO;
import org.springframework.stereotype.Repository;
import com.jpsoft.printing.modules.base.entity.Work;
import java.util.Map;
import com.jpsoft.printing.modules.common.dto.Sort;

@Repository
public interface WorkDAO {
	int insert(Work entity);
	int update(Work entity);
	int exist(String id);
	Work get(String id);
	int delete(String id);
	List<Work> list();
	List<Work> search(Map<String,Object> searchParams,List<Sort> sortList);
	String getSumVolume(String startDay, String endDay);
	String getSumNumber(String startDay, String endDay);
	List<Work> findList(String startDay, String endDay, String order);
}