package com.jpsoft.printing.modules.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class YearSoaDTO {
    @ApiModelProperty(value = "月")
    private String month;
    @ApiModelProperty(value = "日")
    private String day;
    @ApiModelProperty(value = "计划单号")
    private String planNumber;
    @ApiModelProperty(value = "摘要")
    private String summary;
    @ApiModelProperty(value = "借方")
    private BigDecimal debit;
    @ApiModelProperty(value = "贷方")
    private BigDecimal credit;
    @ApiModelProperty(value = "余额")
    private BigDecimal balance;
}