package com.jpsoft.printing.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.printing.modules.base.entity.Customer;
import com.github.pagehelper.Page;
import com.jpsoft.printing.modules.common.dto.Sort;

public interface CustomerService {
	Customer get(String id);
	boolean exist(String id);
	int insert(Customer model);
	int update(Customer model);
	int delete(String id);
	List<Customer> list();
	Page<Customer> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}