package com.jpsoft.printing.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.printing.modules.base.entity.Label;
import com.github.pagehelper.Page;
import com.jpsoft.printing.modules.common.dto.Sort;

public interface LabelService {
	Label get(String id);
	boolean exist(String id);
	int insert(Label model);
	int update(Label model);
	int delete(String id);
	List<Label> list();
	Page<Label> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}