package com.jpsoft.printing.modules.base.service;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;
import com.jpsoft.printing.modules.base.entity.Stock;
import com.github.pagehelper.Page;
import com.jpsoft.printing.modules.common.dto.Sort;

public interface StockService {
	Stock get(String id);
	boolean exist(String id);
	int insert(Stock model);
	int update(Stock model);
	int delete(String id);
	List<Stock> list();
	Page<Stock> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
	BigDecimal getActualQuantity(String workId);
	BigDecimal getRollQuantity(String workId);
	List<Stock> findList(String workId);
}