package com.jpsoft.printing.modules.base.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.printing.modules.base.dto.NameValueDTO;
import com.jpsoft.printing.modules.base.entity.Work;
import com.github.pagehelper.Page;
import com.jpsoft.printing.modules.common.dto.Sort;

public interface WorkService {
	Work get(String id);
	boolean exist(String id);
	int insert(Work model);
	int update(Work model);
	int delete(String id);
	List<Work> list();
	Page<Work> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
	String getSumVolume(String startDay, String endDay);
	String getSumNumber(String startDay, String endDay);
	List<Work> findList(String startDay, String endDay, String order);
}