package com.jpsoft.printing.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.printing.modules.base.entity.Label;
import java.util.Map;
import com.jpsoft.printing.modules.common.dto.Sort;

@Repository
public interface LabelDAO {
	int insert(Label entity);
	int update(Label entity);
	int exist(String id);
	Label get(String id);
	int delete(String id);
	List<Label> list();
	List<Label> search(Map<String,Object> searchParams,List<Sort> sortList);
}