package com.jpsoft.printing.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.printing.modules.base.entity.Staff;
import java.util.Map;
import com.jpsoft.printing.modules.common.dto.Sort;

@Repository
public interface StaffDAO {
	int insert(Staff entity);
	int update(Staff entity);
	int exist(String id);
	Staff get(String id);
	int delete(String id);
	List<Staff> list();
	List<Staff> search(Map<String,Object> searchParams,List<Sort> sortList);
}