package com.jpsoft.printing.modules.base.dao;

import java.math.BigDecimal;
import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.printing.modules.base.entity.Stock;
import java.util.Map;
import com.jpsoft.printing.modules.common.dto.Sort;

@Repository
public interface StockDAO {
	int insert(Stock entity);
	int update(Stock entity);
	int exist(String id);
	Stock get(String id);
	int delete(String id);
	List<Stock> list();
	List<Stock> search(Map<String,Object> searchParams,List<Sort> sortList);
	BigDecimal getActualQuantity(String workId);
	BigDecimal getRollQuantity(String workId);
	List<Stock> findList(String workId);
}