package com.jpsoft.printing.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.printing.modules.base.entity.Flaw;
import com.github.pagehelper.Page;
import com.jpsoft.printing.modules.common.dto.Sort;

public interface FlawService {
	Flaw get(String id);
	boolean exist(String id);
	int insert(Flaw model);
	int update(Flaw model);
	int delete(String id);
	List<Flaw> list();
	Page<Flaw> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}